Skip to main content
GET
List F10 notification resources

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
page
object

JSON:API pagination, as page[limit] and page[offset]. The same as the top-level limit and offset parameters; when both forms are sent, page[...] wins.

sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
created_at,
-created_at,
sent_on,
-sent_on
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • id: Filter by ID
  • scheme: Filter by scheme ID
  • pre_construction_information: Filter by pack
  • kind: Filter by kind (initial, update or additional)

For more information on using named filters, see the docs

Response

A list of F10 notification resources.

JSON API response object

data
object[]
required
meta
object
required
jsonapi
object
required